$(function() {

	var when_low = [
			"wenn du etwas versuchst, das deine Spezialität ist (beispielsweise bei einem Sprachexperten)",
			"in einer bestimmten Situation (z.B. wenn du <span class=\"aspect\">In Flammen</span>\ bist; wenn du <span class=\"aspect\">Umzingelt</span> bist)",
			"einmal pro Szene",
			"wenn du einen Fate-Punkt bezahlst",
			"wenn du eine bestimmte Aktion ausführst (z.B. Überwinden, Vorteil erschaffen, Angreifen, Verteidigen)",
			"ersetzt einen Schub, optional wenn du einen Vollen Erfolg bei einer bestimmten Aktion erzielst (Angreifen, Vorteil erschaffen)",
			"wenn du den Aspekt einsetzt, der mit dem Stunt zusammenhängt (dies verbraucht einen Einsatz oder Fate-Punkt und ersetzt den Bonus von +2)"
		],
		when_high = [
			"einmal pro Szene",
			"wenn du einen Fate-Punkt bezahlst",
			"wenn du den Aspekt einsetzt, der mit dem Stunt zusammenhängt (dies verbraucht einen Einsatz oder Fate-Punkt und ersetzt den Bonus von +2)",
			"ZWEI"
		],
		what_low = [
			"Erhalte +2 auf eine bestimmte Aktion mit einer bestimmten Fertigkeit,",
			"Ersetze eine bestimmte Fertigkeit durch eine andere bestimmte Fertigkeit",
			"Ergänze eine Aktion um eine Fertigkeit (z.B. kann sie jetzt Angreifen oder Verteidigen)",
			"Ignoriere eine einfache Regel (z.B. dass du eine Fertigkeit nicht zwei Mal in einer Herausforderung benutzen kannst)",
			"Addiere +2 auf den Widerstand gegen eine bestimmte Sache (z.B. blockierte Bewegung, codierte Schrift)",
			"Erschaffe einen Vorteil (kein freier Einsatz) der einen Ordentlichen (+2) Wurf benötigt, wenn man ihn entfernen will",
			"Werte einen Schub auf einen Aspekt auf (mit einem freien Einsatz)",
			"Verwende eine bestimmte Fertigkeit auf eine Weise, die es dir erlaubt, ein physikalisches Gesetz zu ignorieren (z.B. Athletik zum Fliegen)",
		],
		what_high = [
			"Verursache einen Treffer mit 2 Erfolgsstufen",
			"Verursache eine leichte Konsequenz",
			"Tausche eine BELIEBIGE Fertigkeit durch eine bestimmte Fertigkeit aus",
			"Erhalte +3 auf eine bestimmte Aktion mit einer bestimmten Fertigkeit",
			"Addiere +3 auf den Widerstand gegen eine bestimmte Sache (z.B. blockierte Bewegung, codierte Schrift)",
			"Erschaffe einen Vorteil (kein freier Einsatz) der einen Guten (+3) Wurf benötigt, wenn man ihn entfernen will",
			"Verwende eine bestimmte Fertigkeit auf eine Weise, die es dir erlaubt, mehrere physikalische Gesetze zu ignorieren",
			];

	var add_cards_target = $('.add-cards');
	var additional_classes;
	var template = '<section class="card {{additional_classes}}"><div class="inner"><p>{{content}}</p></div></section>';

	function random_array_item(v, prev){
		if (typeof prev != "undefined") {
			var prev_item_index = v.indexOf(prev);
			v.splice(prev_item_index, 1);
		}
		return v[Math.floor(Math.random()*v.length)];
	}

	function adjust_height() {
		var tallest = 0; console.log(tallest);

		$('section.card').each(function(){
			$(this).css('height','');
			thisHeight = $(this).innerHeight();
			if (thisHeight > tallest) {
				tallest = thisHeight;
			}
		});

		$('section.card').each(function(){
			$(this).height(tallest);
		});

	}

	function generate_new_cards(){
		$('section.card').remove();

		var i = 0;
		while (i < 4) {
			var when, what, w1, w2, stunt, loop_template;
			var high_or_low = Math.round(Math.random()) ? '0' : '1';

			if(high_or_low === '0') {
				when = when_low;
				what = what_low;
			} else {
				when = when_high;
				what = what_high;
			}

			when = random_array_item(when);
			what = random_array_item(what);

			if (when === 'TWO') {
				// when_low = when_low.pop();
				w1 = random_array_item(when_low);
				w2 = random_array_item(when_low,w1);
				when = w1 + ", " + w2;
			}

			stunt = what +' '+when;

			if (stunt.length > 150) {
				additional_classes = 'small';
			} else {
				additional_classes = '';
			}
			var loop_template = template.replace('{{content}}', stunt).replace('{{additional_classes}}',additional_classes);

			$(add_cards_target).append(loop_template);

			i++;
		}

		adjust_height();
	}

	generate_new_cards();
	setTimeout(adjust_height, 100);

	$('a.button').click(function(e) {
	  e.preventDefault();
	  generate_new_cards();
	});

	$(window).resize(adjust_height);


});





